## libnetsaint-noris-perl 1.3-4

=== Makefile ===
build:

install:
	cp -r usr/ ${DESTDIR}/
	mkdir -p ${DESTDIR}/usr/share/man/man3
	pod2man ${DESTDIR}/usr/share/perl5/noris/NetSaint.pm --section=3 ${DESTDIR}/usr/share/man/man3/noris\:\:NetSaint.3
	pod2man ${DESTDIR}/usr/share/perl5/noris/NetSaint/Status.pm --section=3 ${DESTDIR}/usr/share/man/man3/noris\:\:Netsaint\:\:Status.3

clean:
	rm -f *-stamp

=== debian/changelog ===
libnetsaint-noris-perl (1.3-4) stable; urgency=low

  * RT#436864: never remove _all_ messages in noris::NetSaint

 -- Martin H. Sluka <fany@noris.net>  Wed, 25 Jun 2008 16:11:07 +0200

libnetsaint-noris-perl (1.3-3) stable; urgency=low

  * RT#400621: also show plugin commandline in debugging output

 -- Martin H. Sluka <fany@noris.net>  Fri, 20 Jun 2008 15:41:48 +0200

libnetsaint-noris-perl (1.3-2) stable; urgency=low

  * RT#400621: noris::NetSaint: added missing ")" in debugging output

 -- Martin H. Sluka <fany@noris.net>  Tue, 20 May 2008 19:07:57 +0200

libnetsaint-noris-perl (1.3-1) stable; urgency=low

  * RT#400621: added debugging features to noris::NetSaint
  * RT#400621: merging of identical consecutive messages in noris::NetSaint
  * RT#400621: remove less important messages in noris::NetSaint
    in case message is too long

 -- Martin H. Sluka <fany@noris.net>  Wed, 14 May 2008 17:29:52 +0200

libnetsaint-noris-perl (1.2-5) stable; urgency=low

  [ Martin H. Sluka ]
  * RT#360673: bugfix for filtering newlines in noris::NetSaint

  [ Hardy Kestin ]
  * fany forgot to _build_ the package :-).

 -- Hardy Kestin <hardy@noris.net>  Thu, 17 Jan 2008 11:26:35 +0100

libnetsaint-noris-perl (1.2-4) stable; urgency=low

  * Changed Depends:.
    - Now depending on nagios-plugins-basic instead of nagios-plugins.
      We only need /usr/lib/nagios/plugins/utils.pm, not every single
      Plugin.

 -- Hardy Kestin <hardy@noris.net>  Mon, 17 Dec 2007 08:43:55 +0100

libnetsaint-noris-perl (1.2-3) stable; urgency=low

  * RT#360673: DESTROY and \s patterns don't mix.

 -- Matthias Urlichs <smurf@noris.de>  Thu, 16 Aug 2007 09:56:01 +0200

libnetsaint-noris-perl (1.2-2) stable; urgency=medium

  * New Upstream Release of Status.pm (Closes: #354610)
    - Applied Changes inspired by
      http://nagiosplug.sourceforge.net/developer-guidelines.html#PERLPLUGIN
    - Added Dep to nagios-plugins.

 -- Hardy Kestin <hardy@noris.net>  Wed, 18 Jul 2007 11:40:21 +0200

libnetsaint-noris-perl (1.2-1) stable; urgency=low

  * Changed illegal characters defininition to fit nagios' needs.
    (Closes: #354399)
  * Changed compat-level.

 -- Hardy Kestin <hardy@noris.net>  Wed, 18 Jul 2007 11:14:13 +0200

libnetsaint-noris-perl (1.1-6) stable; urgency=low

  * Changed Netsaint.pm.

 -- Hardy Kestin <hardy@noris.net>  Wed, 18 Jan 2006 17:26:46 +0100

libnetsaint-noris-perl (1.1-5) stable; urgency=low

  * Changed arch.

 -- Hardy Kestin <hardy@noris.net>  Tue,  5 Jul 2005 21:31:48 +0200

libnetsaint-noris-perl (1.1-4) stable; urgency=low

  * Changed section again.

 -- Hardy Kestin <hardy@noris.net>  Tue,  5 Jul 2005 21:27:10 +0200

libnetsaint-noris-perl (1.1-3) stable; urgency=low

  * Changed Section and Dist.

 -- Hardy Kestin <hardy@noris.net>  Tue,  5 Jul 2005 21:17:48 +0200

libnetsaint-noris-perl (1.1-2) stable; urgency=medium

  * Removed Conflicts: and Replaces: section.

 -- Hardy Kestin <hardy@noris.net>  Mon, 17 Jan 2005  9:58:25 +0100

libnetsaint-noris-perl (1.1-1) unstable; urgency=medium

  * Bumped version-number to 1.1 to really overide other version of this package.

 -- Hardy Kestin <hardy@noris.net>  Mon, 17 Jan 2005  9:58:25 +0100

libnetsaint-noris-perl (0.2-1) unstable; urgency=medium

  * Moved /usr/lib/perl5 to /usr/share/perl5.
  * Renamed to libnetsaint-noris-perl.
  * Bumped version-number to 0.2 to overide other version of this package.

 -- Hardy Kestin <hardy@noris.net>  Mon, 17 Jan 2005  9:58:25 +0100

libnetsaint-perl (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Hardy Kestin <hardy@noris.net>  Thu, 13 Jan 2005 16:58:25 +0100

=== debian/control ===
Source: libnetsaint-noris-perl
Section: noris/server
Priority: optional
Maintainer: Hardy Kestin <hardy@noris.net>
Build-Depends: debhelper
Standards-Version: 3.7.2

Package: libnetsaint-noris-perl
Architecture: all
Depends: ${shlibs:Depends}, libdata-dump-perl, libhook-lexwrap-perl, nagios-plugins-basic, perl-modules
Description: Libraries for noris NetSaint- and Nagios-plugins.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
#export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/libnetsaint-noris-perl.sgml > libnetsaint-perl.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/libnetsaint-noris-perl.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/libnetsaint-noris-perl


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libnetsaint-noris-perl 1.4-5

=== Makefile ===
build:

install:
	cp -r usr ${DESTDIR}/
	mkdir -p ${DESTDIR}/usr/share/man/man3
	pod2man ${DESTDIR}/usr/share/perl5/noris/NetSaint.pm --section=3 ${DESTDIR}/usr/share/man/man3/noris\:\:NetSaint.3
	pod2man ${DESTDIR}/usr/share/perl5/noris/NetSaint/Status.pm --section=3 ${DESTDIR}/usr/share/man/man3/noris\:\:Netsaint\:\:Status.3

clean:
	rm -f *-stamp

=== debian/changelog ===
libnetsaint-noris-perl (1.4-5) lenny; urgency=low

  * Encoding Problem weiterbearbeitet, RT#581569 

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 25 Feb 2010 09:34:37 +0100

libnetsaint-noris-perl (1.4-4) lenny; urgency=low

  * Versionsnr. raufzaehlen 

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 15 Feb 2010 13:51:25 +0100

libnetsaint-noris-perl (1.4-3) lenny; urgency=low

  * #10074868: Encoding Problem mit noris::NetSaint behoben.

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 15 Feb 2010 13:35:59 +0100

libnetsaint-noris-perl (1.4-2) lenny; urgency=low

  * Netsaint.pm Erweiterung by stelios, RT#563237

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 11 Feb 2010 15:39:12 +0100

libnetsaint-noris-perl (1.4-1.4) lenny; urgency=low

  * #10083446: is_workday ans neue 'DE-BY-noris' Feiertags-Profil angepasst

 -- Stelios Gikas <stelios.gikas@noris.net>  Mon, 18 Jan 2010 13:12:49 +0100

libnetsaint-noris-perl (1.4-1.3) lenny; urgency=low

  * #10045028: Anpassung auf noris::IO::AutoEncoding 0.1

 -- Martin H. Sluka <fany@noris.net>  Wed, 02 Sep 2009 14:20:52 +0200

libnetsaint-noris-perl (1.4-1.2) lenny; urgency=low

  * #10040531: Zeichensatz wird von LC_ALL oder ENV LANG übernommen dazu wird
    unser eigenes Modul noris::IO::AutoEncoding benutzt

 -- Stelios Gikas <stelios.gikas@noris.net>  Fri, 14 Aug 2009 15:48:24 +0200

libnetsaint-noris-perl (1.4-1.1) lenny; urgency=low

  * lenny statt stable

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 16 Apr 2009 08:58:26 +0200

libnetsaint-noris-perl (1.4-1) stable; urgency=low

  * #504015: is_workday integriert

 -- Martin H. Sluka <fany@noris.net>  Thu, 09 Apr 2009 11:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -7,5 +7,5 @@
 
 Package: libnetsaint-noris-perl
 Architecture: all
-Depends: ${shlibs:Depends}, libdata-dump-perl, libhook-lexwrap-perl, nagios-plugins-basic, perl-modules
+Depends: ${shlibs:Depends}, libdata-dump-perl, libdate-calc-perl, libhook-lexwrap-perl, libnoris-date-calendar-profiles-perl, libnoris-io-autoencoding-perl (>> 0.1), libtime-modules-perl, nagios-plugins-basic, perl-modules
 Description: Libraries for noris NetSaint- and Nagios-plugins.

## libnetsaint-noris-perl 6.0-3

=== debian/changelog ===
libnetsaint-noris-perl (6.0-3) squeeze; urgency=low

  * Version Foo II 

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 14 Feb 2011 16:11:11 +0100

libnetsaint-noris-perl-6.0 (6.0-2) squeeze; urgency=low

  * Version foo 

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 14 Feb 2011 16:09:16 +0100

libnetsaint-noris-perl (6.0-1) squeeze; urgency=low

  * Emergency Build (needed for noris-server)

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 14 Feb 2011 16:00:47 +0100

## libnetsaint-noris-perl 6.2-0

=== Makefile ===
build:

install:
	cp -r usr ${DESTDIR}/
	mkdir -p ${DESTDIR}/usr/share/man/man3
	pod2man usr/share/perl5/noris/NetSaint.pm --section=3 | iconv -f latin1 -t utf8 > ${DESTDIR}/usr/share/man/man3/noris::NetSaint.3
	pod2man usr/share/perl5/noris/NetSaint/Status.pm --section=3 | iconv -f latin1 -t utf8 > ${DESTDIR}/usr/share/man/man3/noris::NetSaint::Status.3

clean:
	rm -f *-stamp

=== debian/changelog ===
libnetsaint-noris-perl (6.2-0) jessie; urgency=medium

  * 15343358: First build for jessie

 -- Katharina Drexel <kdrexel@noris.de>  Tue, 28 Apr 2015 11:56:48 +0200

libnetsaint-noris-perl (6.1-0) wheezy; urgency=low

  * #20612649: increased maximum length of monitoring messages from 256 to 1024

 -- Martin H. Sluka <fany@noris.de>  Thu, 05 Feb 2015 17:01:23 +0100

=== debian/control ===
Source: libnetsaint-noris-perl
Section: noris/server
Priority: optional
Maintainer: Katharina Drexel <katharina.drexel@noris.de>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Homepage: https://intra.office.noris.de/cgi-bin/gitweb.cgi
#Vcs-Git: git://git.debian.org/collab-maint/libnetsaint-noris-perl-6.0.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/libnetsaint-noris-perl-6.0.git;a=summary

Package: libnetsaint-noris-perl
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libdata-dump-perl, libdate-calc-perl, libhook-lexwrap-perl, libnoris-date-calendar-profiles-perl, libnoris-io-autoencoding-perl (>> 0.1), libtime-modules-perl, nagios-plugins-basic, perl-modules
Description: Libraries for noris NetSaint- and Nagios-plugins.
